Subject: bug#27261: guix package -u should warn about non-existent packages

From: Marius Bakke <[email-masked]>
Date: Mon, 26 Jun 2017 20:51:49 +0200

Leo Famulari <[email-masked]> writes:

> On Mon, Jun 26, 2017 at 10:01:03AM +0200, Ludovic Courtès wrote:
>> Could you check whether “guix package -A syncthing” shows it there?  The
>> warning should appear as soon as we’re upgrading a package that’s
>> missing.
>
> I get no results when I do `./pre-inst-env guix package -A syncthing`
> from the repo where I removed qsyncthingtray.

I just came across this today too on a GuixSD system. `guix package -u`
warned that my not-yet-upstream "icedtea-web" package does not exist,
but had no problem with "chromium" installed the same way.

No GUIX_PACKAGE_PATH, and ~/.config/guix/latest is a symlink to a `guix
pull` build. The packages were installed through `./pre-inst-env`.